begin
  r=m.query("create table rtable
   (
      id int not null auto_increment,
      name varchar(35) not null,
      desc varchar(128) not null,
      unique id(id)
    )")
# exception happens...
rescue
  puts m.error
  # Prints: You have an error in your SQL syntax
  # near 'desc varchar(128) not null ,
  #     unique id(id)
  # )' at line 5"
  puts m.errno
  # Prints 1064
  # ('desc' is reserved for descending order)
end

